#!/usr/bin/env python3

import smbus
import time

# Bus number and i2c address:
BUS = 1
ADDRESS = 0x60

# Register addresses:
PS_CONF1 = 0x03
PS_Data = 0x08

# Masks and values:
PS_SD = 1

# Create an object to represent the appropriate bus.
bus = smbus.SMBus(BUS)

# Power up the proximity sensor if not already powered.
state = bus.read_word_data(ADDRESS, PS_CONF1)
if state & PS_SD == PS_SD:
    bus.write_word_data(ADDRESS, PS_CONF1, state ^ PS_SD)

try:
    while True:
        print('Proximity:', bus.read_word_data(ADDRESS, PS_Data))
        time.sleep(0.25)
finally:
    # Restore the initial state.
    bus.write_word_data(ADDRESS, PS_CONF1, state)
